> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firecrawl.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# 過去のトークン使用量

月ごとの過去のトークン使用量を返します。必要に応じて、APIキー別の内訳も取得できます。

<Info>請求を簡素化し、Extract も他のエンドポイントと同様にクレジット制に統一しました。1クレジットは15トークンに相当します。報告されるトークン使用量には、すべてのエンドポイントでの利用が含まれます。</Info>

> Firecrawl APIキーが必要なAI agentですか？ 自動オンボーディング手順については、[firecrawl.dev/agent-onboarding/SKILL.md](https://www.firecrawl.dev/agent-onboarding/SKILL.md) を参照してください。


## OpenAPI

````yaml ja/api-reference/v2-openapi.json GET /team/token-usage/historical
openapi: 3.0.0
info:
  contact:
    email: support@firecrawl.dev
    name: Firecrawl Support
    url: https://firecrawl.dev/support
  description: Firecrawlのサービスを利用して、Webスクレイピングやクロールを行うためのAPIです。
  title: Firecrawl API
  version: v2
servers:
  - url: https://api.firecrawl.dev/v2
security:
  - bearerAuth: []
paths:
  /team/token-usage/historical:
    get:
      tags:
        - Billing
      summary: 認証済みチームの履歴トークン使用量を取得します（Extract のみ）
      operationId: getHistoricalTokenUsage
      parameters:
        - description: APIキーごとのトークン使用量の履歴を取得する
          in: query
          name: byApiKey
          required: false
          schema:
            default: false
            type: boolean
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  periods:
                    items:
                      properties:
                        apiKey:
                          description: >-
                            課金期間中に使用された API キー名。byApiKey が false（デフォルト）の場合は
                            null。
                          nullable: true
                          type: string
                        endDate:
                          description: 請求期間の終了日
                          example: '2025-01-31T23:59:59Z'
                          format: date-time
                          type: string
                        startDate:
                          description: 請求期間の開始日
                          example: '2025-01-01T00:00:00Z'
                          format: date-time
                          type: string
                        totalTokens:
                          description: 課金期間内に使用されたトークンの総数
                          example: 1000
                          type: integer
                      type: object
                    type: array
                  success:
                    example: true
                    type: boolean
                type: object
          description: 成功時のレスポンス
        '500':
          content:
            application/json:
              schema:
                properties:
                  error:
                    example: >-
                      Internal server error while fetching historical token
                      usage
                    type: string
                  success:
                    example: false
                    type: boolean
                type: object
          description: サーバーエラー
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````